CVE-2016-4302

Priority
Description
Heap-based buffer overflow in the parse_codes function in
archive_read_support_format_rar.c in libarchive before 3.2.1 allows remote
attackers to execute arbitrary code via a RAR file with a zero-sized
dictionary.
Assigned-to
mdeslaur
Notes
Package
Upstream:needed
Ubuntu 14.04 ESM (Trusty Tahr):released (3.1.2-7ubuntu2.3)
Ubuntu 16.04 LTS (Xenial Xerus):released (3.1.2-11ubuntu0.16.04.2)
Patches:
Upstream:https://github.com/libarchive/libarchive/commit/05caadc7eedbef471ac9610809ba683f0c698700
Upstream:https://github.com/libarchive/libarchive/commit/5e29e82390bccfff514e710c90de8089ab5ef269
More Information

Updated: 2019-12-05 18:45:12 UTC (commit dd38ff22974aae499eb50644b9d5a2817483cbdb)